Bug 1352472

Summary: pdc-client: Provide a Python 3 subpackage
Product: [Fedora] Fedora Reporter: Petr Viktorin <pviktori>
Component: pdc-clientAssignee: Stanislav Ochotnicky <sochotni>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: bliu, chuzhang, jpopelka, lsedlar, sochotni, ycheng
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-09-06 09:59:25 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1285816    

Description Petr Viktorin 2016-07-04 09:03:46 UTC
Upstream (in version 1.0.0-2), this software supports Python 3. Also, all
dependencies are now ported.
Please provide a Python 3 package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Comment 1 Jan Kurik 2016-07-26 05:04:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Petr Viktorin 2016-09-06 09:59:25 UTC
I see Python 3 support is now in Rawhide. Thank you to everyone involved!

http://pkgs.fedoraproject.org/cgit/rpms/pdc-client.git/commit/pdc-client.spec?id=36f1b96053ce5f129e34d5653a32ef8534ebb810